--- title: "Search Engine Service" slug: "analytics-cloudloganalytics-getserverlist-vpc-ses" updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/analytics-cloudloganalytics-getserverlist-vpc-ses" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Search Engine Service Available in VPC Get the list of Search Engine Service server instances (VMs) in the VPC environment. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/{regionCode}-v1/vpc/servers/ses | ### Request headers For information about the headers common to all Cloud Log Analytics APIs, see [Cloud Log Analytics request headers](/docs/en/analytics-cloudloganalytics#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Required | Region code - `kr` \| `sgn` \| `jpn` - `kr`: Korea Region - `sgn`: Singapore Region - `jpn`: Japan Region | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-100 (default: 1) | | `pageSize` | Integer | Optional | Number of items per page - 10-100 (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cloudloganalytics.apigw.ntruss.com/api/{regionCode}-v1/vpc/servers/ses' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response status codes | | `message` | String | - | Response status message | | `result` | Object | - | Response result | | `result.pageSize` | Integer | - | Number of items per page | | `result.currentPage` | Integer | - | Current page number | | `result.totalPage` | Integer | - | Total number of pages | | `result.totalCount` | Integer | - | Total item count | | `result.isPaged` | Boolean | - | Whether to page - `true` \| `false` - `true`: Paged - `false`: Not paged | | `result.clusterInfoList` | Array | - | Server list - Server information | Note For more information about the fields related to server information (`clusterInfoList`), see the [Search Engine Service API guide](/docs/en/analytics-vpcsearchengine) and [Search Engine Service user guide](https://guide.ncloud-docs.com/docs/en/ses-overview). ### Response status codes For information about the HTTP status codes common to all Cloud Log Analytics APIs, see [Cloud Log Analytics response status codes](/docs/en/analytics-cloudloganalytics#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "The request has been successfully processed.", "result": { "pageSize": 10, "currentPage": 1, "totalPage": 1, "totalCount": 1, "isPaged": true, "clusterInfoList": [ { "clusterName": "ses-test", "serverStatus": "In operation", "serverStatusColor": "green", "elasticSearchVersion": "OpenSearch 2.14.0", "vpcName": "test" } ] } } ```